# Get subscriptions

Get a single subscription based on its ID

Endpoint: GET /v2/webhooks/{webhookId}/subscriptions/{subscriptionId}
Version: 2.0
Security: TokenAuth

## Path parameters:

  - `webhookId` (string, required)
    The webhook ID

  - `subscriptionId` (string, required)
    The subscription ID

## Response 200 fields (application/json):

  - `id` (string, required)
    The webhook subscription ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `webhookId` (string, required)
    The webhook ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdBy` (string, required)
    The ID of the user who created this webhook
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdAt` (string, required)
    The date and time the webhook was created
    Example: "2022-03-29T10:22:22.420Z"

  - `updatedBy` (string, required)
    The ID of the user who updated this webhook
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `updatedAt` (string, required)
    The date and time the webhook was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `config` (object, required)
    The configuration for the webhook subscription
    Example: {"domain":"TRANSACTION","scope":"ORG"}

  - `config.domain` (string, required)
    The domain to subscribe to
    Enum: "TRANSACTION", "WALLET", "APPROVAL"

  - `config.scope` (string, required)
    The scope to subscribe to
    Enum: "ORG"

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


